%define          configfile     motion.conf

Name:            motion
#because I screwed up the pre-release tag before :(
Epoch:           1
Version:         4.3.2
Release:         %mkrel 1
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video/Utilities

URL:             https://github.com/Motion-Project/motion
Source0:         https://github.com/Motion-Project/motion/archive/release-%{version}/motion-release-%{version}.tar.gz
Source1:         %{name}-tmpfiles.conf

BuildRequires:   pkgconfig(libjpeg)
BuildRequires:   ffmpeg-devel
BuildRequires:   mysql-devel
BuildRequires:   pkgconfig(sqlite3)
BuildRequires:   postgresql-libs-devel
BuildRequires:   linux-userspace-headers
BuildRequires:   pkgconfig(libwebp)
BuildRequires:   pkgconfig(libmicrohttpd)

Requires(post):  systemd >= %{systemd_required_version}


%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1


%build
autoreconf -fi
%configure --without-optimizecpu --with-webp
%make_build


%install
%make_install

mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/%{configfile}
%__chmod 644 %{buildroot}%{_sysconfdir}/%{name}/%configfile

%__rm -Rf %{buildroot}/%{_datadir}/doc/

#systemd compat
%__install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%find_lang %{name}

%post
%_tmpfilescreate %{name}



%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%config(noreplace) %{_sysconfdir}/%{name}/camera*-dist.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_tmpfilesdir}/%{name}.conf





%changelog
* Wed Oct 28 2020 daviddavid <daviddavid> 1:4.3.2-1.mga8
+ Revision: 1640013
- new version: 4.3.2
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Mon Apr 13 2020 daviddavid <daviddavid> 1:4.3.1-1.mga8
+ Revision: 1567165
- new version: 4.3.1

* Wed Feb 19 2020 umeabot <umeabot> 1:4.3.0-2.mga8
+ Revision: 1543507
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 1:4.3.0-1.mga8
+ Revision: 1481840
- new version: 4.3.0

* Fri Mar 01 2019 eatdirt <eatdirt> 1:4.2.2-2.mga7
+ Revision: 1370816
- Upgrade to version 4.2.2

* Fri Feb 15 2019 wally <wally> 1:4.2.1-2.mga7
+ Revision: 1367263
- use /run instead of /var/run in systemd tmpfiles.d drop-in file

* Wed Dec 19 2018 eatdirt <eatdirt> 1:4.2.1-1.mga7
+ Revision: 1342872
- Upgrade to version 4.2.1

* Sun Sep 23 2018 umeabot <umeabot> 1:4.1.1-3.mga7
+ Revision: 1299601
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 1:4.1.1-2.mga7
+ Revision: 1223339
- add patch to fix build with ffmpeg 4.0

* Tue Jan 30 2018 eatdirt <eatdirt> 1:4.1.1-1.mga7
+ Revision: 1198108
- Upgrade to version 4.1.1

* Sat Dec 23 2017 wally <wally> 1:4.1-2.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Tue Nov 28 2017 eatdirt <eatdirt> 1:4.1-1.mga7
+ Revision: 1180169
- Upgrade to version 4.1

* Tue May 02 2017 akien <akien> 1:4.0.1-3.mga6
+ Revision: 1098311
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1:4.0.1-2.mga6
+ Revision: 1089881
- Rebuild for ffmpeg 3.2.4

* Sat Jan 14 2017 eatdirt <eatdirt> 1:4.0.1-1.mga6
+ Revision: 1081629
- Upgrade to version 4.0.1

* Fri Mar 18 2016 eatdirt <eatdirt> 1:3.4.1-0.20151019git.1.mga6
+ Revision: 992825
- Upgrade to latest git

* Mon Feb 15 2016 umeabot <umeabot> 1:3.4.0-0.20151003git.2.mga6
+ Revision: 961497
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 eatdirt <eatdirt> 1:3.4.0-0.20151003git.1.mga6
+ Revision: 889799
- Upgrade to latest git HEAD

* Tue Nov 25 2014 cjw <cjw> 1:3.2.12-1.20140327git.2.mga5
+ Revision: 799051
- rebuild against postgresql9.4

* Fri Nov 14 2014 akien <akien> 1:3.2.12-1.20140327git.1.mga5
+ Revision: 797100
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:3.2.12-0.20140327git.9.mga5
+ Revision: 745812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.2.12-0.20140327git.8.mga5
+ Revision: 682604
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 eatdirt <eatdirt> 1:3.2.12-0.20140327git.7.mga5
+ Revision: 609038
- Upgrade to latest git commit

* Sat Oct 19 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.6.mga4
+ Revision: 529660
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1:3.2.12-0.20120717git.5.mga4
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.4.mga3
+ Revision: 360290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1:3.2.12-0.20120717git.3.mga3
+ Revision: 341834
- update rpm group
- rebuild for new ffmpeg

* Mon Sep 10 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.2.mga3
+ Revision: 291657
- adding support for sqlite3

* Sat Aug 25 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.1.mga3
+ Revision: 283865
- Fix systemd compat on tmpfiles, fix pre-release tag

* Mon Aug 13 2012 eatdirt <eatdirt> 3.2.12.20120717git-0.mga3
+ Revision: 281073
- Upgrade to git snapshot, support ffmpeg-0.11 new api

* Tue Jun 12 2012 eatdirt <eatdirt> 3.2.12-9.mga3
+ Revision: 260079
- Removing ffmpeg support (seriously broken by new libavformat54 API)

* Thu Dec 15 2011 eatdirt <eatdirt> 3.2.12-8.mga2
+ Revision: 181896
- Rebuild for ffmpeg-0.9-1 (patch added)

* Sat Jun 25 2011 fwang <fwang> 3.2.12-7.mga2
+ Revision: 113458
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 rtp <rtp> 3.2.12-6.mga1
+ Revision: 81621
- fix v4l2 support and allow to build without old v4l stuff
- drop patch0
+ ennael <ennael>
- remove VAL2_OLD support as header is not provided anymore
- add missing buildrequire
- clean spec file
- imported package motion


* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-6mdv2011.0
+ Revision: 645836
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-5mdv2011.0
+ Revision: 627259
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-4mdv2011.0
+ Revision: 626541
- rebuilt against mysql-5.5.8 libs

* Mon Oct 18 2010 Juan Luis Baptiste <juancho@mandriva.org> 3.2.12-2mdv2011.0
+ Revision: 586574
- Fixed bug 58481, create /var/run/motion with +awt permissions.
  CCBUG: 58481

* Wed Aug 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.12-1mdv2011.0
+ Revision: 571091
- update to 3.2.12

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new libjpeg v8

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-2mdv2010.1
+ Revision: 473905
- requires pg

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-1mdv2010.1
+ Revision: 473904
- fix spec file

  + Juan Luis Baptiste <juancho@mandriva.org>
    - Updated to 3.2.11.1 and dropped all patches as they're no longer needed.

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.10.1-5mdv2009.1
+ Revision: 348688
- fix format errors
- fix ffmpeg API change
- disable as-needed linker flags

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

* Mon Sep 08 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.10.1-2mdv2009.0
+ Revision: 282492
- Rebuild for ffmpeg support
- Fix %%install

  + Michael Scherer <misc@mandriva.org>
    - Fix ffmpeg detection
    - update to 3.2.10.1, fix #39302

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 3.2.9-3mdv2009.0
+ Revision: 252781
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 3.2.9-1mdv2008.1
+ Revision: 177343
- new version, fix bug 37389
- add url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 Michael Scherer <misc@mandriva.org> 3.2.8-1mdv2008.0
+ Revision: 63433
- new version 3.2.8


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.7-1mdv2007.1
+ Revision: 148257
- New version 3.2.7
- Import motion

* Tue Feb 28 2006 Spencer Anderson <sdander@mandriva.org> 3.2.4-1mdk
- 3.2.4
- use mkrel

* Thu Apr 28 2005 Olivier Blin <oblin@mandriva.com> 3.1.19-1mdk
- 3.1.19
- new url
- remove obsolete tricks and Patch1
- ship motion-dist.conf as motion.conf
- disable rpath

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-3mdk
- rpmlint fixes

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-2mdk
- rebuilt against new mysql libs

